unix-2.7.2.2: POSIX functionality

Safe Haskell | Trustworthy
Language | Haskell2010

System.Posix.Process.Internals

Synopsis

- pPrPr_disableITimers :: IO ()
- c_execvpe :: CString -> Ptr CString -> Ptr CString -> IO CInt
- decipherWaitStatus :: CInt -> IO ProcessStatus
- data ProcessStatus
  - = Exited ExitCode
  - | Terminated Signal Bool
  - | Stopped Signal

# Documentation

pPrPr_disableITimers :: IO () #

c_execvpe :: CString -> Ptr CString -> Ptr CString -> IO CInt #

decipherWaitStatus :: CInt -> IO ProcessStatus #

data ProcessStatus #

The exit status of a process

Constructors

Exited ExitCode | the process exited by calling `exit()` or returning from `main`
Terminated Signal Bool | the process was terminated by a signal, the `Bool` is `True` if a core dump was produced Since: 2.7.0.0
Stopped Signal | the process was stopped by a signal

Instances

Eq ProcessStatus # |
Methods (==) :: ProcessStatus -> ProcessStatus -> Bool # (/=) :: ProcessStatus -> ProcessStatus -> Bool #
Ord ProcessStatus # |
Methods compare :: ProcessStatus -> ProcessStatus -> Ordering # (<) :: ProcessStatus -> ProcessStatus -> Bool # (<=) :: ProcessStatus -> ProcessStatus -> Bool # (>) :: ProcessStatus -> ProcessStatus -> Bool # (>=) :: ProcessStatus -> ProcessStatus -> Bool # max :: ProcessStatus -> ProcessStatus -> ProcessStatus # min :: ProcessStatus -> ProcessStatus -> ProcessStatus #
Show ProcessStatus # |
Methods showsPrec :: Int -> ProcessStatus -> ShowS Source # show :: ProcessStatus -> String Source # showList :: [ProcessStatus] -> ShowS Source #